com.jogamp.nativewindow.x11

## Class X11GraphicsConfiguration

- java.lang.Object
- - javax.media.nativewindow.DefaultGraphicsConfiguration
  - - com.jogamp.nativewindow.MutableGraphicsConfiguration
    - - com.jogamp.nativewindow.x11.X11GraphicsConfiguration

- All Implemented Interfaces:
    Cloneable, AbstractGraphicsConfiguration, VisualIDHolder

      public class X11GraphicsConfiguration
      extends MutableGraphicsConfiguration
      implements Cloneable

  Encapsulates a graphics configuration, or OpenGL pixel format, on X11 platforms. Objects of this type are returned from `GraphicsConfigurationFactory.chooseGraphicsConfiguration()` on X11 platforms when toolkits other than the AWT are being used.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.VisualIDHolder

      `VisualIDHolder.VIDComparator, VisualIDHolder.VIDType`

  - ### Field Summary

    - ### Fields inherited from interface javax.media.nativewindow.VisualIDHolder

      `VID_UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X11GraphicsConfiguration(X11GraphicsScreen screen, CapabilitiesImmutable capsChosen, CapabilitiesImmutable capsRequested, jogamp.nativewindow.x11.XVisualInfo info)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `int` | `getXVisualID()`
    `jogamp.nativewindow.x11.XVisualInfo` | `getXVisualInfo()`
    `String` | `toString()`

    - ### Methods inherited from class com.jogamp.nativewindow.MutableGraphicsConfiguration

      `setChosenCapabilities, setScreen`

    - ### Methods inherited from class javax.media.nativewindow.DefaultGraphicsConfiguration

      `getChosenCapabilities, getNativeGraphicsConfiguration, getRequestedCapabilities, getScreen, getVisualID, toHexString, toHexString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### X11GraphicsConfiguration

          public X11GraphicsConfiguration(X11GraphicsScreen screen,
                                  CapabilitiesImmutable capsChosen,
                                  CapabilitiesImmutable capsRequested,
                                  jogamp.nativewindow.x11.XVisualInfo info)

  - ### Method Detail

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `AbstractGraphicsConfiguration`
      Overrides:
        `clone` in class `DefaultGraphicsConfiguration`

    - #### getXVisualInfo

          public final jogamp.nativewindow.x11.XVisualInfo getXVisualInfo()

    - #### getXVisualID

          public final int getXVisualID()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DefaultGraphicsConfiguration`

Copyright 2010 JogAmp Community.